FROM laszlo/containerruntimeglobal_build-slim_x64:latest AS build-env
WORKDIR /app
COPY ./TracePinger ./

RUN dotnet restore
RUN dotnet clean

RUN dotnet build --no-restore
RUN dotnet publish --no-restore -c Release -o /app/out

RUN dotnet dev-certs https -ep /root/.aspnet/https/aspnetapp.pfx -p myPassword
RUN dotnet dev-certs https --trust


FROM laszlo/containerruntimeglobal_runtime-slim_x64:latest
RUN mkdir -p /root/.aspnet/https/
COPY --from=build-env /root/.aspnet/https/* /root/.aspnet/https/
ENV ASPNETCORE_Kestrel__Certificates__Default__Password=myPassword
ENV ASPNETCORE_Kestrel__Certificates__Default__Path=/root/.aspnet/https/aspnetapp.pfx
WORKDIR /app
COPY --from=build-env /app/out .
EXPOSE 5261
EXPOSE 7247
ENV ASPNETCORE_URLS=http://+:5261;https://+:7247

ENTRYPOINT ["dotnet", "TracePinger.dll"]
